Skip to main content
GET
/
v2
/
failure-analysis
/
insights
/
security
Get FA security insights
curl --request GET \
  --url https://api.valiqor.com/v2/failure-analysis/insights/security \
  --header 'Authorization: Bearer <token>'
{
  "total_runs_with_security": 0,
  "runs_with_issues": 0,
  "total_issues_found": 0,
  "issues_by_category": [
    {
      "category_id": "<string>",
      "category_name": "<string>",
      "issue_count": 0,
      "severity": "medium"
    }
  ],
  "top_categories": [
    {
      "category_id": "<string>",
      "category_name": "<string>",
      "issue_count": 0,
      "severity": "medium"
    }
  ],
  "period_days": 30,
  "period_start": "2023-11-07T05:31:56Z",
  "period_end": "2023-11-07T05:31:56Z",
  "project_name": "<string>"
}

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Query Parameters

days
integer | null
default:30

Number of days to analyze (None = all time)

Required range: 1 <= x <= 365
project_name
string | null

Filter by project name

Response

Successful Response

Aggregated security insights across FA runs that included security scans.

total_runs_with_security
integer
default:0

Total FA runs that included security scans

runs_with_issues
integer
default:0

Runs that had at least one security issue

total_issues_found
integer
default:0

Total security issues across all runs

issues_by_category
SecurityCategoryIssue · object[]
top_categories
SecurityCategoryIssue · object[]
period_days
integer
default:30

Number of days in the analysis period

period_start
string<date-time> | null
period_end
string<date-time> | null
project_name
string | null